# Function getFilterSelectionsForIndexedKinds

- getFilterSelectionsForIndexedKinds(
  filter: Filter ,
  ): {
  filter: {
  authors?: string[];
  ids?: string[];
  kinds: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  };
  scenario: RouterScenario ;
  }[]

- #### Parameters

  - filter: Filter

  #### Returns {
  filter: {
  authors?: string[];
  ids?: string[];
  kinds: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  };
  scenario: RouterScenario ;
  }[]

  - Defined in packages/app/src/router.ts:396